Skip to main content

Create Applicant Files: ResMan

POSThttps://api.propexo.com/v1/applicants/resman/:applicant_id/file-upload
InterfaceMethod
Documents/Documents/Attach
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

applicant_id stringrequired

The Propexo unique identifier for the applicant

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    application_idstringrequired

    The Propexo unique identifier for the application

    attachments object[]required

    The files to be uploaded to the application. All the files can have a maximum combined file size of 50 MB

    Possible values: >= 1

  • Array [
  • file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 25 MB.

    Possible values: <= 34865152 characters

    file_namestringrequired

    The name of the file including the extension

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    application_idstringrequired

    The Propexo unique identifier for the application

    attachments object[]required
  • Array [
  • file_datastring | nullnullable

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 25 MB.

    Possible values: <= 34865152 characters

    file_namestringrequired

    The name of the file including the extension

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/applicants/resman/:applicant_id/file-upload
curl -X POST https://api.propexo.com/v1/applicants/resman/:applicant_id/file-upload \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"application_id": "string",
"attachments": [
{
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"applicant_id": "string",
"application_id": "string",
"attachments": [
{
"file_data": "string",
"file_name": "string",
"mime_type": "string"
}
]
}
}